# Retrieve an attribute list value

> Retrieve an attribute list value by its identifier.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/categories/attribute_list_values/{id}`

Retrieves a Attribute List Value resource.

Returns a single attribute list value by id.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Path parameters

| Name | Type     | Required | Description                     |
| ---- | -------- | -------- | ------------------------------- |
| `id` | `string` | Yes      | Attribute List Value identifier |

## Response

**200** - Attribute List Value resource

| Property    | Type             | Required | Description                                                                     |
| ----------- | ---------------- | -------- | ------------------------------------------------------------------------------- |
| `@context`  | `object`         | -        |                                                                                 |
| `@id`       | `string`         | Yes      |                                                                                 |
| `@type`     | `string`         | Yes      |                                                                                 |
| `id`        | `string`         | -        | The resource's unique identifier (UUID).                                        |
| `value`     | `string \| null` | -        | **This property supports translations.**<br><br>The value of the attribute      |
| `attribute` | `string \| null` | Yes      | The `Attribute` to which this value belongs.                                    |
| `products`  | `string[]`       | -        | A list of `Product`, each one representing a product associated with the value. |
| `createdAt` | `string`         | -        | The date and time when the resource was created (ISO 8601 format).              |
| `updatedAt` | `string`         | -        | The date and time when the resource was last modified (ISO 8601 format).        |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

**404** - Not found

| Property      | Type              | Required | Description                                                                                                                          |
| ------------- | ----------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`    | `object`          | -        |                                                                                                                                      |
| `@id`         | `string`          | Yes      |                                                                                                                                      |
| `@type`       | `string`          | Yes      |                                                                                                                                      |
| `title`       | `string \| null`  | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`      | `string \| null`  | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`      | `integer \| null` | -        |                                                                                                                                      |
| `instance`    | `string \| null`  | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`        | `string`          | -        | A URI reference that identifies the problem type                                                                                     |
| `description` | `string \| null`  | -        |                                                                                                                                      |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/categories/attribute_list_values/<product_id>' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Attribute%20List%20Value",
  "@id": "/api/categories/attribute_list_values/019afd20-5e6f-7081-8a92-4d5e6f708192",
  "@type": "Attribute List Value",
  "id": "019afd20-5e6f-7081-8a92-4d5e6f708192",
  "value": "Red",
  "attribute": "/api/categories/attribute_lists/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
  "products": [
    "/api/products/019af93e-420e-79f8-800b-6680f03dce20"
  ],
  "createdAt": "2026-01-15T09:30:00+00:00",
  "updatedAt": "2026-02-03T14:45:12+00:00"
}
```
